import { Select } from 'antd';
import styles from './index.less';

import { useModel } from '@umijs/max';

/**
 * @description 区域选择
 */

const RegionSelect = () => {
  const { setSelectAreaId } = useModel('safetyAreaId');
  return (
    <div className={styles.regionSelectWrap}>
      <Select
        defaultValue={1}
        options={[
          {
            value: 1,
            label: '成都市',
          },
          {
            value: 510108,
            label: '成华区',
          },
          {
            value: 510109,
            label: '高新区',
          },
          {
            value: 510110,
            label: '天府新区',
          },
          {
            value: 510182,
            label: '彭州市',
          },
          {
            value: 510113,
            label: '青白江区',
          },
          {
            value: 510117,
            label: '郫都区',
          },
          {
            value: 510105,
            label: '青羊区',
          },
          {
            value: 510107,
            label: '武侯区',
          },
          {
            value: 510115,
            label: '温江区',
          },
          {
            value: 510185,
            label: '简阳市',
          },
          {
            value: 510181,
            label: '都江堰市',
          },
          {
            value: 510131,
            label: '蒲江县',
          },
          {
            value: 510183,
            label: '邛崃市',
          },
          {
            value: 510187,
            label: '东部新区',
          },
          {
            value: 510104,
            label: '锦江区',
          },
          {
            value: 510106,
            label: '金牛区',
          },
          {
            value: 510112,
            label: '龙泉驿区',
          },
          {
            value: 510129,
            label: '大邑县',
          },
          {
            value: 510114,
            label: '新都区',
          },
          {
            value: 510118,
            label: '新津区',
          },
          {
            value: 510184,
            label: '崇州市',
          },
          {
            value: 510116,
            label: '双流区',
          },
        ]}
        onChange={(e) => {
          setSelectAreaId(e);
        }}
      />
    </div>
  );
};

export default RegionSelect;
