import { useRequest } from 'ahooks';
import styles from './index.less';
import services from '@/services';
const DisposeFlow = ({
  countWidth,
  typeCode,
}: {
  countWidth?: number;
  typeCode: string;
}) => {
  const { data } = useRequest(() => {
    return services.CityRiskApi.getstatisticalEvent({
      parentTypeCode:typeCode,
    });
  });
  console.log(data);
  
  return (
    <div className={styles.container}>
      <div className={styles.item}>
        <img
          src={require('@/assets/images/SecurityServiceOverview/IndustryWiget/yujingIcon.png')}
          alt=""
          className={styles.icon}
        />
        <div>预警</div>
        <div className={styles.count} style={{ width: countWidth }}>
         {data?.data?.monthEventTotal??'--'}
        </div>
      </div>

      <img
        src={require('@/assets/images/SecurityServiceOverview/IndustryWiget/jiantou1.png')}
        alt=""
        className={styles.arrows}
      />
      <div className={styles.item}>
        <img
          src={require('@/assets/images/SecurityServiceOverview/IndustryWiget/chuziIcon.png')}
          alt=""
          className={styles.icon}
        />
        <div>处置</div>
        <div className={styles.count} style={{ width: countWidth }}>
       
        {data?.data?.zgzEventTotal??'--'}
        </div>
      </div>
      <img
        src={require('@/assets/images/SecurityServiceOverview/IndustryWiget/jiantou2.png')}
        alt=""
        className={styles.arrows}
      />
      <div className={styles.item}>
        <img
          src={require('@/assets/images/SecurityServiceOverview/IndustryWiget/banjieIcon.png')}
          alt=""
          className={styles.icon}
        />
        <div>办结</div>
        <div className={styles.count} style={{ width: countWidth }}>
        {data?.data?.yxcEventTotal??'--'}
        </div>
      </div>
    </div>
  );
};
export default DisposeFlow;
